=== debian/control ===
Source: lib3mf
Section: libs
Priority: optional
Maintainer: Torsten Paul <Torsten.Paul@gmx.de>
Uploaders: Kristian Nielsen <knielsen@knielsen-hq.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>=12~), pkg-kde-tools, cmake, libzip-dev, zlib1g-dev, uuid-dev
Standards-Version: 4.3.0
Homepage: https://github.com/3MFConsortium/lib3mf

Package: lib3mf1t64
Provides: ${t64:Provides}
Replaces: lib3mf1
Breaks: lib3mf1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lib3MF is a C++ implementation of the 3D Manufacturing Format
 As 3MF shall become an universal 3D Printing standard,
 its quick adoption is very important. This library shall
 lower all barriers of adoption to any possible user, let
 it be software providers, hardware providers, service
 providers or middleware tools. The specification can be
 downloaded at http://3mf.io/specification/
 .
 Its aim is to offer an open source way to integrate 3MF
 reading and writing capabilities, as well as conversion
 and validation tools for input and output data. The 3MF
 Library shall provide a clean and easy-to-use API to speed
 up the development and keep integration costs at a minimum.

Package: lib3mf-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Lib3MF is a C++ implementation of the 3D Manufacturing Format (documentation)
 As 3MF shall become an universal 3D Printing standard,
 its quick adoption is very important. This library shall
 lower all barriers of adoption to any possible user, let
 it be software providers, hardware providers, service
 providers or middleware tools. The specification can be
 downloaded at http://3mf.io/specification/
 .
 Its aim is to offer an open source way to integrate 3MF
 reading and writing capabilities, as well as conversion
 and validation tools for input and output data. The 3MF
 Library shall provide a clean and easy-to-use API to speed
 up the development and keep integration costs at a minimum.
 .
 This package contains the documentation files.

Package: lib3mf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: lib3mf1t64 (= ${binary:Version}), ${misc:Depends}
Description: Lib3MF is a C++ implementation of the 3D Manufacturing Format (development)
 As 3MF shall become an universal 3D Printing standard,
 its quick adoption is very important. This library shall
 lower all barriers of adoption to any possible user, let
 it be software providers, hardware providers, service
 providers or middleware tools. The specification can be
 downloaded at http://3mf.io/specification/
 .
 Its aim is to offer an open source way to integrate 3MF
 reading and writing capabilities, as well as conversion
 and validation tools for input and output data. The 3MF
 Library shall provide a clean and easy-to-use API to speed
 up the development and keep integration costs at a minimum.
 .
 This package contains the development files.
