## lib3mf 1.8.1.1+ds

=== debian/changelog ===
lib3mf (1.8.1.1+ds-3+deb10u1+dde) unstable; urgency=medium

  * update

 -- Torsten Paul <Torsten.Paul@gmx.de>  Tue, 06 Jul 2021 10:09:44 +0800

lib3mf (1.8.1.1+ds-3+deb10u1+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:40:23 +0800

lib3mf (1.8.1+ds-3+deb10u1) buster-security; urgency=high

  * Fix use-after-free (CVE-2021-21772), backporting fix from v2.1.1
    (Closes: #985092)

 -- Kristian Nielsen <knielsen@knielsen-hq.org>  Mon, 05 Apr 2021 12:55:40 +0200
